## org.exist.xquery.value
Interface SequenceIterator

All Known Implementing Classes:
  EmptySequenceIterator, SingleItemIterator

public interface SequenceIterator

Field Summary
`static SequenceIterator` `EMPTY_ITERATOR`

Method Summary
`boolean` `hasNext()`
`Item` `nextItem()`

Field Detail

### EMPTY_ITERATOR

    public static final SequenceIterator EMPTY_ITERATOR

Method Detail

### hasNext

    public boolean hasNext()

### nextItem

    public Item nextItem()

Copyright (C) Wolfgang Meier. All rights reserved.